package com.caimei365.user.controller;

import com.caimei365.user.model.ClubVo;
import com.caimei365.user.model.JsonModel;
import com.caimei365.user.utils.ValidateUtil;
import lombok.RequiredArgsConstructor;
import org.apache.commons.lang.StringUtils;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

public class AllApi {

//注册
    /**
     * 普通机构入驻(注册)
     * @param source            注册来源: 0网站 1小程序
     * @param userName          用户名
     * @param bindMobile        企业绑定手机号
     * @param password          密码
     * @param passWordConfirm   用户确认密码
     * @param activationCode    【已废弃】
     * @param isAgreed          是否同意勾选同意协议，1是，其他否
     */
    @Idempotent(prefix="idempotent_club", keys={"#user"}, expire=5)
    @PostMapping("/club/common")
    public JsonModel commonClub(UserVo user, OperationVo operationVo, String isAgreed, HttpServletRequest request) {
        return null;
    }

    /**
     * 普通机构升级会员机构
     * @param userID                        用户ID
     * @param clubID                        机构ID
     * @param name                          机构名称
     * @param linkMan1                      联系人
     * @param sname                         机构简称
     * @param contractEmail1                邮箱
     * @param provinceID                    省
     * @param cityID                        市
     * @param townID                        所在县区Id
     * @param address                       地址
     * @param socialCreditCode              统一社会信用代码
     * @param businessLicenseImage          营业执照
     * @param headpic                       门头照
     * @param firstClubType                 一级分类为医美=1和生美=2
     * @param secondClubType                医美的二级分类为诊所=1、门诊=2、医院=3。  生美没有二级分类
     * @param department                    若为医美分类下的门诊和医院则需要填写科室。
     * @param medicalPracticeLicenseImg     医美分类必须上传医疗执业许可证
     * @param mainpro                       主打项目
     */
    @PostMapping("/club/upgrade")
    public JsonModel upgradeClub(ClubVo club, HttpServletRequest request) {
        return null;
    }

    /**
     * 供应商注册
     * @param source                注册来源: 0网站 1小程序
     * @param bindMobile            企业绑定手机号
     * @param email                 邮箱
     * @param mobileCode            手机验证码
     * @param password              密码
     * @param passWordConfirm       用户确认密码
     * @param name                  组织名称
     * @param linkMan               联系人
     * @param sname                 供应商公司简称
     * @param provinceID            省
     * @param cityID                市
     * @param townID                所在县区Id
     * @param address               地址
     * @param socialCreditCode      统一社会信用代码
     * @param businessLicenseImage  营业执照
     * @param firstShopType         医疗=1和非医疗=2
     * @param secondShopType        医疗的二级分类 一类器械=1、二类器械 =2、三类器械=3、其他=4 /// 1和非医疗没有二级分类
     * @param mainpro               主打项目
     * @param isAgreed              是否同意勾选同意协议，1是，其他否
     */
    @PostMapping("/supplier/register")
    public JsonModel register(UserVo user, ShopVo shop, String isAgreed) {
        return null;
    }



//club
    /**
     * 微信授权登录
     *
     * @param code          微信授权code
     * @param encryptedData 微信加密数据
     * @param iv            加密算法的初始向量
     */
    @PostMapping("/club/authorization")
    public JsonModel authorizationLogin(String code, String encryptedData, String iv, HttpServletRequest request) {
        return null;
    }

    /**
     * 邀请码授权登录
     * @param invitationCode    邀请码
     * @param nickName          微信昵称
     * @param headimgurl        微信头像
     */
    @PostMapping("/club/invitationCode")
    public JsonModel invitationCode(OperationVo operation, HttpServletRequest request) {
        return null;
    }

    /**
     * 绑定微信
     * @param userID            机构ID：隶属于哪个会所的运营人员[用户类型为机构时有效数据]
     * @param mobile            手机号码
     * @param verificationCode  手机验证码
     */
    @PostMapping("/club/bindingWx")
    public JsonModel bindingWx(OperationVo operationVo, HttpServletRequest request) {
        return null;
    }

    /**
     * 修改手机号,发送验证码
     */
    @GetMapping("/club/modifyPhoneNumber")
    public JsonModel modifyPhoneNumber(String mobile, String newMobile) {
        return null;
    }

    /**
     * 注册协议
     */
    @GetMapping("/club/protocol")
    public JsonModel protocol(Integer helpPageID) {
        return null;
    }

    /**
     * 地址管理:省市区
     */
    @GetMapping("/club/address")
    public JsonModel address() {
        return null;
    }

    /**
     * 更换手机号
     * @param userID                用户ID
     * @param contractMobile        旧手机号
     * @param contractMobile2       新手机号
     * @param mobileCode            旧手机验证码
     * @param newMobileCode         新手机验证码
     */
    @PostMapping("/club/changeMobile")
    public JsonModel changeMobile(ClubVo club) {
        return null;
    }

    /**
     * 小程序注册发送验证码
     */
    @GetMapping("/club/captcha")
    public JsonModel captcha(String mobile) {
        return null;
    }

    /**
     * 省
     */
    @GetMapping("/club/province")
    public JsonModel getProvince() {
        return null;
    }

    /**
     * 市
     */
    @GetMapping("/club/city")
    public JsonModel getCity(Integer provinceId) {
        return null;
    }

    /**
     * 区
     */
    @GetMapping("/club/town")
    public JsonModel getTown(Integer cityId) {
        return null;
    }
}
