package com.caimei365.user.controller;

import com.caimei365.user.model.BaseUser;
import com.caimei365.user.model.JsonModel;
import com.caimei365.user.service.LoginService;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 登录API
 *
 * @author : Charles
 * @date : 2021/3/8
 */
@RestController
@RequiredArgsConstructor
@RequestMapping("/user/login")
public class LoginApi {

    private LoginService loginService;

    /**
     * 登录(用户名，密码)
     *
     * @param mobileOrEmail 手机号或邮箱
     * @param password 密码
     * @return BaseUser
     */
    @PostMapping("/password")
    public JsonModel<BaseUser> passwordLogin(String mobileOrEmail, String password) {
        return loginService.passwordLogin(mobileOrEmail, password);
    }

}
