package com.caimei365.user.mapper;

import com.caimei365.user.model.BaseUser;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/3/5
 */
@Mapper
public interface BaseUserDao {
    /**
     * 根据手机号获取用户
     *
     * @param mobile 手机号
     * @return BaseUser
     */
    BaseUser getBaseUserByMobile(@Param("mobile") String mobile);
    /**
     * 根据手机号或邮箱获取用户
     *
     * @param mobileOrEmail 手机号/邮箱
     * @return BaseUser
     */
    BaseUser getBaseUserByMobileOrEmail(@Param("mobileOrEmail") String mobileOrEmail);
}
